classification
Title: mmap with unsigned int offset and cross build for ppc
Type: Stage:
Components: None Versions: Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, ajaksu2, jose-v-matos, nnorwitz
Priority: normal Keywords: patch

Created on 2005-09-14 17:27 by jose-v-matos, last changed 2010-08-21 19:34 by BreamoreBoy. This issue is now closed.

Files
File name Uploaded Description Edit
build_python.sh jose-v-matos, 2005-09-14 17:27 ppc cross compile script and patch
Messages (4)
msg48733 - (view) Author: José Pedro Pereira Valente de M (jose-v-matos) Date: 2005-09-14 17:27
#  Based on "K's cluttered loft - ARM cross-compiling
howto"
http://www.ailis.de/~k/docs/crosscompiling/python.php 
and mmap patch from Yotam Medini  yotamm@mellanox.co.il.

I've created a script in attach that does the
cross_compile. Also in the script is the diff from "cvs
diff -u "
I changed the mmapmodule.c to use unsigned int, and
therefor not report OverflowError.

I would like to use python to do automatic tests on
chips in boards that are usually mapped on high address
values like 0xFFF00000. 

Right now I can do that.

Needs patch to the tests and documentation, I think.


Hope this helps someone.
msg48734 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2005-12-18 03:37
Logged In: YES 
user_id=33168

Some mmap changes have been fixed to handle 64 bit issues. 
Note this patch is really several different patches rolled
into one (mmap enhancements and testing changes, setup.py
changes, plus Makefile changes).
msg83875 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-03-20 22:30
This is 'open' and 'out of date'...

There's been some recent mmap activity, so I'll leave closing this to
someone that understands mmap :)
msg114554 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-21 19:34
No reply to msg83875.
History
Date User Action Args
2010-08-21 19:34:32BreamoreBoysetstatus: open -> closed
nosy: + BreamoreBoy
messages: + msg114554

2009-03-20 22:30:51ajaksu2setnosy: + ajaksu2

messages: + msg83875
versions: + Python 2.6, - Python 2.5
2005-09-14 17:27:32jose-v-matoscreate